Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.mathutil.rbf
Class MultiquadricFunction

    java.lang.Object
      org.encog.mathutil.rbf.BasicRBF
          org.encog.mathutil.rbf.MultiquadricFunction

All Implemented Interfaces:
  Serializable, RadialBasisFunction

    public class MultiquadricFunction

extends BasicRBF

Multi-dimensional Multiquadric function. Do not use this to implement a 1d function, simply use MultiquadricFunction for that.

See Also:
  Serialized Form

Constructor Summary
`MultiquadricFunction(double peak, double[] center, double width)` Construct a multi-dimension Multiquadric function with the specified peak, centers and widths.
`MultiquadricFunction(double center, double peak, double width)` Construct a single-dimension Multiquadric function with the specified peak, centers and widths.
`MultiquadricFunction(int dimensions)` Create centered at zero, width 0, and peak 0.

Method Summary
`double` | `calculate(double[] x)` Calculate the RBF result for the specified value.

Methods inherited from class org.encog.mathutil.rbf.BasicRBF
`getCenter, getCenters, getDimensions, getPeak, getWidth, setCenters, setPeak, setWidth, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiquadricFunction

    public MultiquadricFunction(double center,
                                double peak,
                                double width)

  Construct a single-dimension Multiquadric function with the specified peak, centers and widths.

  Parameters:
    `peak` - The peak for all dimensions.
    `center` - The centers for each dimension.
    `width` - The widths for each dimension.

### MultiquadricFunction

    public MultiquadricFunction(double peak,
                                double[] center,
                                double width)

  Construct a multi-dimension Multiquadric function with the specified peak, centers and widths.

  Parameters:
    `peak` - The peak for all dimensions.
    `center` - The centers for each dimension.
    `width` - The widths for each dimension.

### MultiquadricFunction

    public MultiquadricFunction(int dimensions)

  Create centered at zero, width 0, and peak 0.

  Parameters:
    `dimensions` - The dimensions.

Method Detail

### calculate

    public final double calculate(double[] x)

  Calculate the RBF result for the specified value.

  Parameters:
    `x` - The value to be passed into the RBF.
  Returns:
    The RBF value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.